Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class ActionExec

    java.lang.Object
      jason.asSemantics.ActionExec

All Implemented Interfaces:
  java.io.Serializable

    public class ActionExec

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ActionExec(Literal ac, Intention i)`

Method Summary
`protected ActionExec` | `clone()`
`boolean` | `equals(java.lang.Object ao)`
`Structure` | `getActionTerm()`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`java.lang.String` | `getFailureMsg()`
`Literal` | `getFailureReason()`
`Intention` | `getIntention()`
`boolean` | `getResult()`
`int` | `hashCode()`
`void` | `setFailureReason(Literal reason, java.lang.String msg)`
`void` | `setResult(boolean ok)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionExec

    public ActionExec(Literal ac,
                      Intention i)

Method Detail

### equals

    public boolean equals(java.lang.Object ao)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getActionTerm

    public Structure getActionTerm()

### getIntention

    public Intention getIntention()

### getResult

    public boolean getResult()

### setResult

    public void setResult(boolean ok)

### setFailureReason

    public void setFailureReason(Literal reason,
                                 java.lang.String msg)

### getFailureMsg

    public java.lang.String getFailureMsg()

### getFailureReason

    public Literal getFailureReason()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    protected ActionExec clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD